Results 1 to 10 of 10

Thread: FlashScan J2534 Compatible?

  1. #1
    Senior Member TexasCummins's Avatar
    Join Date
    Jul 2011
    Posts
    143

    Default FlashScan J2534 Compatible?

    If I wanted to flash an ECM using the FlashScan as a pass-through device, is it J2534 compatible for use with Chrysler's flashing application?
    EFI Live - The Smarter way to tune!
    2006 Ram 2500 4x4

  2. #2
    Forum tyhee Site Admin GMPX's Avatar
    Join Date
    Apr 2003
    Posts
    12,780

    Default

    No it's not. If you did want something for that the Drewtech devices are pretty cheap.
    Need official EFILive help, please go here.
    For tuning support please post your questions on this forum (or other auto forums).
    Sorry if I don't respond to your PM, don't take it personal.


  3. #3
    Senior Member TexasCummins's Avatar
    Join Date
    Jul 2011
    Posts
    143

    Default

    Ok I just wanted to check, thanks!
    EFI Live - The Smarter way to tune!
    2006 Ram 2500 4x4

  4. #4
    Member Motorzane's Avatar
    Join Date
    Jun 2011
    Posts
    96

    Default

    I use my Drew Tech for all my factory flash programing (except the 5.9 Cummins)

  5. #5
    Senior Member TexasCummins's Avatar
    Join Date
    Jul 2011
    Posts
    143

    Default

    Yeah I was just going to use my TechAuthority subscription to save a copy of the updated stock file for my truck so if anything ever went wrong I could reprogram it with my Starscan.
    EFI Live - The Smarter way to tune!
    2006 Ram 2500 4x4

  6. #6
    Member Motorzane's Avatar
    Join Date
    Jun 2011
    Posts
    96

    Default

    Read all the precautions about flashing the 5.9L. I have locked 2 ECM's on a 1999 trying yo use my Cardaq. Ford,GM and the 6.7L Dodge have no problems

  7. #7
    Senior Member TexasCummins's Avatar
    Join Date
    Jul 2011
    Posts
    143

    Default

    Well Chrysler states in the TechAuthority which pass-through devices they recommend for flashing with no problems.
    EFI Live - The Smarter way to tune!
    2006 Ram 2500 4x4

  8. #8
    Member Motorzane's Avatar
    Join Date
    Jun 2011
    Posts
    96

    Default

    I don't know where it says which devices they recommend, I'm just saying be careful using Drewtech on the 5.9L Cummins

  9. #9
    Senior Member TexasCummins's Avatar
    Join Date
    Jul 2011
    Posts
    143

    Default

    I've never heard of Drewtech before, so I would have to do some research on it first before I decided to buy.

    In order to use either the J2534 Application or the Chrysler J2534 Flash Application you must first purchase a J2534-1 compliant device (such as CTC VehicleBox Device , Actia I+ME PassThru+XS , BSE 2534 Global Programmer ).
    EFI Live - The Smarter way to tune!
    2006 Ram 2500 4x4

  10. #10
    Forum tyhee Site Admin GMPX's Avatar
    Join Date
    Apr 2003
    Posts
    12,780

    Default

    Quote Originally Posted by Motorzane View Post
    I don't know where it says which devices they recommend, I'm just saying be careful using Drewtech on the 5.9L Cummins
    It's not the fault of Drewtech, Cummins messed up, simple as that, their programming routine in the ECM is poor. The big warning Tech Auth gives you on the 5.9L losing the VIN etc applies to any J2534 device.
    Need official EFILive help, please go here.
    For tuning support please post your questions on this forum (or other auto forums).
    Sorry if I don't respond to your PM, don't take it personal.


Similar Threads

  1. V2 says it is not compatible after updates!
    By dirty_old_chevy in forum FlashScan V2
    Replies: 3
    Last Post: August 23rd, 2011, 09:56 AM
  2. J2534 Compatibilty
    By jdmillspa in forum General
    Replies: 3
    Last Post: August 14th, 2009, 06:01 PM
  3. V7.5 Flashscan not compatible with V2?
    By TxChristopher in forum Duramax LLY
    Replies: 4
    Last Post: November 8th, 2008, 03:33 PM
  4. V2 is not compatible w/ V7.4.2?
    By pkincy in forum General (Petrol, Gas, Ethanol)
    Replies: 2
    Last Post: May 14th, 2007, 04:02 PM
  5. Error message: The Flashscan V2 interface is not compatible with this version of EFIL
    By Round Rock TJ in forum General (Petrol, Gas, Ethanol)
    Replies: 20
    Last Post: May 7th, 2007, 03:45 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •